Skip to main content
GET
Retrieve a page of connection overrides which apply in a specific environment.

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

The unique identifier of the project for which the connections will be listed.

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

environmentName
string
required

The name of the environment to list which connection overrides are applied in.

Minimum string length: 1

Response

Successfully retrieved connection

authProvider
string

The authentication provider

Example:

"NONE"

authType
enum<string>

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET,
OAUTH_USER_TOKENS,
OAUTH_AUTHORIZATION_CODE,
OAUTH_CLIENT_CRED
Example:

"GENERIC_SECRET"

connectionOverrides
object

Connection override configuration

createdBy
string

The user who created the connection

createdDate
string<date-time>

The date and time when the connection was created

name
string

The name of the connection

Example:

"my-jira-connection"

platformConnectionType
enum<string>

The platform connection type

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

projectId
string<uuid>

The project ID this connection belongs to